package com.portlandwebworks.commons.security.user;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public interface IPasswordGenerator
{
	public String generateTemporaryPassword();

	public PasswordStrength getPasswordStrength(String password);

	public String getPasswordHash(String password);
}
