package com.portlandwebworks.commons.security.user;

import com.portlandwebworks.commons.data.EntityMapping;
import com.portlandwebworks.commons.data.FieldMapping;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
@EntityMapping("com.portlandwebworks.commons.domain.Role")
public class RoleSearchResult
{
	@FieldMapping(value = "id", identifier = true)
	private Integer roleId;

	@FieldMapping(value = "code")
	private Enum roleCode;

	@FieldMapping(value = "displayName")
	private String roleName;

	public Integer getRoleId()
	{
		return roleId;
	}

	public void setRoleId(Integer roleId)
	{
		this.roleId = roleId;
	}

	public Enum getRoleCode()
	{
		return roleCode;
	}

	public void setRoleCode(Enum roleCode)
	{
		this.roleCode = roleCode;
	}

	public String getRoleName()
	{
		return roleName;
	}

	public void setRoleName(String roleName)
	{
		this.roleName = roleName;
	}
}
