package com.portlandwebworks.commons.dao;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 * @deprecated  Use <code>PagedSearchResult</code> instead.  If you insist on using this class with your
 * <code>IEntityManager</code> or <code>IDaoBase</code> implementation, try either setting it manually:
 *
 * entityManager.setPagedSearchResultType(myCustomType);
 *
 * or set it via spring context bean:
 *
 * <pre>
 * <bean id="entityManager" class="com.portlandwebworks.hibernate.HibernateEntityManager">
 *      <property name="pagedSearchResultType" value="myCustomType"/>
 * </bean>
 * </pre>
 * @deprecated  Use <code>PagedSearchResult</code> instead.
 */
@Deprecated
public class GridDisplayResults<T> extends PagedSearchResult<T>
{
}
