package com.portlandwebworks.commons.domain;

import javax.persistence.*;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
@Entity
@Table(name = "permission_")
public class Permission extends Identifiable<Integer>
{
	@Id
	@Column(name = "id", precision = 2, scale = 0)
	private Integer id;

	@Column(name = "role", nullable = false, length = 50)
	private String role;

	@Column
	private String name;

	@Column(name = "is_allow", nullable = false)
	private boolean allow;
	
	@Override
	public Integer getId()
	{
		return id;
	}

	@Override
	public void setId(Integer id)
	{
		this.id = id;
	}

	public String getRole()
	{
		return role;
	}

	public void setRole(String role)
	{
		this.role = role;
	}

	public String getName()
	{
		return name;
	}

	public void setName(String name)
	{
		this.name = name;
	}

	public boolean isAllow()
	{
		return allow;
	}

	public void setAllow(boolean allow)
	{
		this.allow = allow;
	}
}
